#ifndef __TIMER_H
#define __TIMER_H
#include "f28x_project.h"

struct TIMERMESS
{
    Uint16 utimerbase_10k;
    Uint16 utimerbase_20ms;
	Uint16 utimerbase_1ms;
	Uint16 utimerbase_5ms;
	Uint16 utimerbase_10ms;
	Uint16 utimerbase_50ms;
	Uint16 utimerbase_100ms;
};
//extern DataType Adcdatatype;
extern struct TIMERMESS TimerMess;
void vMtimerTreat(void);
void BaseTime_init(void);
void Time_init(void);

#endif

/*********************************************END OF FILE**********************/
